#include <SoftwareSerial.h> //Software Serial library

#define RX 10    //Pin arduino RX 
#define TX 11   //Pin arduino TX 

SoftwareSerial Bluetooth(RX, TX); 

void setup() {

Serial.begin(9600);
pinMode(9,OUTPUT); digitalWrite(9,HIGH);
Serial.println("AT commands:");

Bluetooth.begin(38400); // HC-05 default speed in AT command

}

void loop()

{

if (Bluetooth.available())

Serial.write(Bluetooth.read());

if (Serial.available())

Bluetooth.write(Serial.read());

}

/***** Most useful AT commands  ***
AT : Ceck the connection.
AT+NAME : See default name
AT+ADDR : see default address
AT+VERSION : See version
AT+UART : See baudrate
AT+ROLE: See role of bt module(1=master/0=slave)
AT+RESET : Reset and exit AT mode
AT+ORGL : Restore factory settings
AT+PSWD: see default password

*/
